package com.bocloud.cmp.model.installation.catalog;

import com.alibaba.fastjson.JSON;

/**
 * 物理机基本信息类
 *
 * @author Shaolong_tan
 */
public class Basic {
    /**
     * family 信息
     */
    private String family;
    /**
     * 制造商
     */
    private String manufacturer;
    /**
     * 产品型号
     */
    private String productorName;
    /**
     * 序列号
     */
    private String serialNumer;
    /**
     * UUID
     */
    private String uuid;
    /**
     * 版本
     */
    private String version;
    /**
     * 唤醒类型
     */
    private String wakeupType;
    /**
     * SKU 数目
     */
    private String skuNumber;

    /**
     * @return the family
     */
    public String getFamily() {
        return family;
    }

    /**
     * @param family the family to set
     */
    public void setFamily(String family) {
        this.family = family;
    }

    /**
     * @return the manufacturer
     */
    public String getManufacturer() {
        return manufacturer;
    }

    /**
     * @param manufacturer the manufacturer to set
     */
    public void setManufacturer(String manufacturer) {
        this.manufacturer = manufacturer;
    }

    /**
     * @return the productorName
     */
    public String getProductorName() {
        return productorName;
    }

    /**
     * @param productorName the productorName to set
     */
    public void setProductorName(String productorName) {
        this.productorName = productorName;
    }

    /**
     * @return the serialNumer
     */
    public String getSerialNumer() {
        return serialNumer;
    }

    /**
     * @param serialNumer the serialNumer to set
     */
    public void setSerialNumer(String serialNumer) {
        this.serialNumer = serialNumer;
    }

    /**
     * @return the uuid
     */
    public String getUuid() {
        return uuid;
    }

    /**
     * @param uuid the uuid to set
     */
    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    /**
     * @return the version
     */
    public String getVersion() {
        return version;
    }

    /**
     * @param version the version to set
     */
    public void setVersion(String version) {
        this.version = version;
    }

    /**
     * @return the wakeupType
     */
    public String getWakeupType() {
        return wakeupType;
    }

    /**
     * @param wakeupType the wakeupType to set
     */
    public void setWakeupType(String wakeupType) {
        this.wakeupType = wakeupType;
    }

    /**
     * @return the skuNumber
     */
    public String getSkuNumber() {
        return skuNumber;
    }

    /**
     * @param skuNumber the skuNumber to set
     */
    public void setSkuNumber(String skuNumber) {
        this.skuNumber = skuNumber;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
